Index: yasnippet.el
===================================================================
--- yasnippet.el	(revision 178)
+++ yasnippet.el	(working copy)
@@ -169,6 +169,9 @@
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; YASnippet minor mode
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+(defvar yas/minor-mode-map (make-sparse-keymap)
+  "The keymap of yas/minor-mode")
+
 (define-minor-mode yas/minor-mode
   "Toggle YASnippet mode.
 With no argument, this command toggles the mode.
@@ -183,9 +186,8 @@
   nil
   ;; The indicator for the mode line.
   " yas"
-  ;; The minor mode bindings.
-  `((,yas/trigger-key . yas/expand))
-  :group 'editing)
+  :group 'editing
+  (define-key yas/minor-mode-map yas/trigger-key 'yas/expand))
 (defun yas/minor-mode-on ()
   "Turn on YASnippet minor mode."
   (interactive)
